Provides utilities for DOM manipulation

### Hierarchy

- DomUtil

## Index

### Methods

- addClass
- copyToClipboard
- fadeIn
- fadeOut
- getAttributes
- getStyle
- getUrlParameterByName
- hasClass
- remove
- removeClass
- setAttributes
- toggleClass
- viewportSize

## Methods

### Static addClass

- addClass(el: HTMLElement, className: string): void

- - Defined in utils/dom-util.ts:9

  Adds a class to a HTMLElement.

  #### Parameters

  - ##### el: HTMLElement

  - ##### className: string

  #### Returns void

### Static copyToClipboard

- copyToClipboard(str: string): void

- - Defined in utils/dom-util.ts:135

  #### Parameters

  - ##### str: string

  #### Returns void

### Static fadeIn

- fadeIn(el: HTMLElement, duration?: number, delay?: number, display?: string): void

- - Defined in utils/dom-util.ts:155

  #### Parameters

  - ##### el: HTMLElement

  - ##### Default value duration: number = 300

  - ##### Default value delay: number = 0

  - ##### Default value display: string = "block"

  #### Returns void

### Static fadeOut

- fadeOut(el: HTMLElement, duration?: number, delay?: number, visible?: boolean): void

- - Defined in utils/dom-util.ts:170

  #### Parameters

  - ##### el: HTMLElement

  - ##### Default value duration: number = 300

  - ##### Default value delay: number = 0

  - ##### Default value visible: boolean = false

  #### Returns void

### Static getAttributes

- getAttributes(el: HTMLElement): object

- - Defined in utils/dom-util.ts:65

  Returns an object with all the attributes of a HTMLElement as key / value pairs.

  #### Parameters

  - ##### el: HTMLElement

  #### Returns object

### Static getStyle

- getStyle(el: HTMLElement, styleProp: string): any

- - Defined in utils/dom-util.ts:86

  Get a style property of a HTMLElement.

  #### Parameters

  - ##### el: HTMLElement

  - ##### styleProp: string

  #### Returns any

  The value of the style property.

### Static getUrlParameterByName

- getUrlParameterByName(name: string): string

- - Defined in utils/dom-util.ts:191

  #### Parameters

  - ##### name: string

  #### Returns string

### Static hasClass

- hasClass(el: HTMLElement, className: string): void

- - Defined in utils/dom-util.ts:19

  Checks whether a HTMLElement has a class.

  #### Parameters

  - ##### el: HTMLElement

  - ##### className: string

  #### Returns void

### Static remove

- remove(el: HTMLElement): void

- - Defined in utils/dom-util.ts:58

  Removes a HTMLElement from the DOM.

  #### Parameters

  - ##### el: HTMLElement

  #### Returns void

### Static removeClass

- removeClass(el: HTMLElement, className: string): void

- - Defined in utils/dom-util.ts:29

  Removes a class form a HTMLElement.

  #### Parameters

  - ##### el: HTMLElement

  - ##### className: string

  #### Returns void

### Static setAttributes

- setAttributes(el: HTMLElement, attributes: object): void

- - Defined in utils/dom-util.ts:76

  Sets attributes of a HTMLElement.

  #### Parameters

  - ##### el: HTMLElement

  - ##### attributes: object

  #### Returns void

### Static toggleClass

- toggleClass(el: HTMLElement, className: string): void

- - Defined in utils/dom-util.ts:39

  Removes a class from a HTMLElement when present, or adds it when not present.

  #### Parameters

  - ##### el: HTMLElement

  - ##### className: string

  #### Returns void

### Static viewportSize

- viewportSize(): object

- - Defined in utils/dom-util.ts:119

  Returns the width and height of the viewport.

  #### Returns object